gnuplot 5.0.5 for OS X

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

gnuplot 5.0.5 for OS X

Allin Cottrell
Another 5.0.5 contribution: binary packages for OS X (Intel, quartz)
are now available from

http://ricardo.ecn.wfu.edu/pub/gnuplot/

in both pkg and (relocatable) dmg formats. As with my 5.0.3 packages
these provide aquaterm and wxt as GUI terminals, as well as the
pango/cairo-based terminals. The packages are cross-compiled on
Linux using clang and should be suitable for OS X 10.6.6 and higher.

--
Allin Cottrell
Department of Economics
Wake Forest University

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
gnuplot-beta mailing list
[hidden email]
Membership management via: https://lists.sourceforge.net/lists/listinfo/gnuplot-beta
Reply | Threaded
Open this post in threaded view
|

AW: gnuplot 5.0.5 for OS X

Bastian Märkisch
Great.  Should we upload those to Sourceforge, too?

  Bastian

-----Ursprüngliche Nachricht-----
Von: Allin Cottrell [mailto:[hidden email]]
Gesendet: Donnerstag, 5. Januar 2017 04:14
An: [hidden email]
Betreff: gnuplot 5.0.5 for OS X

Another 5.0.5 contribution: binary packages for OS X (Intel, quartz) are now
available from

http://ricardo.ecn.wfu.edu/pub/gnuplot/

in both pkg and (relocatable) dmg formats. As with my 5.0.3 packages these
provide aquaterm and wxt as GUI terminals, as well as the pango/cairo-based
terminals. The packages are cross-compiled on Linux using clang and should
be suitable for OS X 10.6.6 and higher.

--
Allin Cottrell
Department of Economics
Wake Forest University


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
gnuplot-beta mailing list
[hidden email]
Membership management via: https://lists.sourceforge.net/lists/listinfo/gnuplot-beta
Reply | Threaded
Open this post in threaded view
|

Re: AW: gnuplot 5.0.5 for OS X

tmacchant
I have no experience of OS X.

However I *also* feel it is better that

OS X binary will be uploaded on Sourceforge.

I do not have admin privilege to Sourceforge but have write access privilege of "files".
(It was given the privilege from Ethan but I have forgotten name of it.)


Tatsuro


----- Original Message -----

> From: Bastian Märkisch <[hidden email]>
> To: 'Allin Cottrell' <[hidden email]>; [hidden email]
> Cc:
> Date: 2017/1/5, Thu 19:01
> Subject: AW: gnuplot 5.0.5 for OS X
>
>G reat.  Should we upload those to Sourceforge, too?
>
>   Bastian
>
> -----Ursprüngliche Nachricht-----
> Von: Allin Cottrell [mailto:[hidden email]]
> Gesendet: Donnerstag, 5. Januar 2017 04:14
> An: [hidden email]
> Betreff: gnuplot 5.0.5 for OS X
>
> Another 5.0.5 contribution: binary packages for OS X (Intel, quartz) are now
> available from
>
> http://ricardo.ecn.wfu.edu/pub/gnuplot/
>
> in both pkg and (relocatable) dmg formats. As with my 5.0.3 packages these
> provide aquaterm and wxt as GUI terminals, as well as the pango/cairo-based
> terminals. The packages are cross-compiled on Linux using clang and should
> be suitable for OS X 10.6.6 and higher.
>
> --
> Allin Cottrell
> Department of Economics
> Wake Forest University
>
>
> ------------------------------------------------------------------------------
> Check out the vibrant tech community on one of the world's most
> engaging tech sites, SlashDot.org! http://sdm.link/slashdot
> _______________________________________________
> gnuplot-beta mailing list
> [hidden email]
> Membership management via:
> https://lists.sourceforge.net/lists/listinfo/gnuplot-beta
>

------------------------------------------------------------------------------
Developer Access Program for Intel Xeon Phi Processors
Access to Intel Xeon Phi processor-based developer platforms.
With one year of Intel Parallel Studio XE.
Training and support from Colfax.
Order your platform today. http://sdm.link/xeonphi
_______________________________________________
gnuplot-beta mailing list
[hidden email]
Membership management via: https://lists.sourceforge.net/lists/listinfo/gnuplot-beta
Reply | Threaded
Open this post in threaded view
|

Re: gnuplot 5.0.5 for OS X

Nicolas Brouard INED

Le 10 janv. 2017 à 10:12, Tatsuro MATSUOKA <[hidden email]> a écrit :

I have no experience of OS X.

You are unlucky! The notion of OSX applications has many senses in comparison to linux packages which are similar to OSX homebrew packages.
On linux, if you install a new program all libraries should have to be updated. It saves hard disk space but you spend a lot of time to compile and verify compatibility etc. With OSX applications, all  of external libraries (or most of them) have to be included under the app directory. And even if you have similar libraries in /usr/local/lib, the application will not use them. OS/X applications are much bigger but are safer and will work much longer. See the output of otool (similar to nm) at the end of the message to verify that the executable doesn’t contain external links.

I looked at the package of Allin Cottrell and it looks great. In addition to the gnuplot.app directory the pkg installs a /usr/local/bin/gnuplot which is
 #!/bin/bash
 exec /Applications/Gnuplot.app/Contents/Resources/bin/gnuplot-run.sh

If you installed only the app via the dmg, and still want to use gnuplot in a terminal or in emacs (I haven’t seen emacs-mode.el), you have to add this two lines file and chmod +x it . It will create the necessary environment variables (see below its list).

Cottrell’s OSX application contains most useful terminals, like all cairos, including pdfcairo, aqua, svg and wxt.

Many thanks to Cottrell. I did not know that it was possible to cross-compile with clang from linux to OS/X. Bravo.
I hope that it will be downloadable with other gnuplot binaries (including installation sources). It is still version 5.0.5 and can’t use “array"!

Here is a list of packages:
+ exec /Applications/Gnuplot.app/Contents/Resources/bin/gnuplot

G N U P L O T
Version 5.0 patchlevel 5    last modified 2016-10-02

Copyright (C) 1986-1993, 1998, 2004, 2007-2016
Thomas Williams, Colin Kelley and many others

gnuplot home:     http://www.gnuplot.info
faq, bugs, etc:   type "help FAQ"
immediate help:   type "help"  (plot window: hit 'h')

Terminal type set to 'wxt'
gnuplot> set ter

Available terminal types:
             aqua  Interface to graphics terminal server for Mac OS X
       cairolatex  LaTeX picture environment using graphicx package and Cairo backend
           canvas  HTML Canvas object
              cgm  Computer Graphics Metafile
          context  ConTeXt with MetaFun (for PDF documents)
            corel  EPS format for CorelDRAW
             dumb  ascii art for anything that prints text
              dxf  dxf-file for AutoCad (default size 120x80)
            eepic  EEPIC -- extended LaTeX picture environment
              emf  Enhanced Metafile format
            emtex  LaTeX picture environment with emTeX specials
         epscairo  eps terminal based on cairo
         epslatex  LaTeX picture environment using graphicx package
              fig  FIG graphics language for XFIG graphics editor
             hpgl  HP7475 and relatives [number of pens] [eject]
            latex  LaTeX picture environment
               mf  Metafont plotting standard
               mp  MetaPost plotting standard
             pcl5  HP Designjet 750C, HP Laserjet III/IV, etc. (many options)
         pdfcairo  pdf terminal based on cairo
         pngcairo  png terminal based on cairo
       postscript  PostScript graphics, including EPSF embedded files (*.eps)
          pslatex  LaTeX picture environment with PostScript \specials
            pstex  plain TeX with PostScript \specials
         pstricks  LaTeX picture environment with PSTricks macros
              qms  QMS/QUIC Laser printer (also Talaris 1200 and others)
              svg  W3C Scalable Vector Graphics
          tek40xx  Tektronix 4010 and others; most TEK emulators
          tek410x  Tektronix 4106, 4107, 4109 and 420X terminals
          texdraw  LaTeX texdraw environment
             tgif  TGIF X11 [mode] [x,y] [dashed] ["font" [fontsize]]
         tkcanvas  Tk canvas widget
             tpic  TPIC -- LaTeX picture environment with tpic \specials
          unknown  Unknown terminal type - not a plotting device
            vttek  VT-like tek40xx terminal emulator
              wxt  wxWidgets cross-platform windowed terminal
            xterm  Xterm Tektronix 4014 Mode
gnuplot> 

Here is a list on environment variables:

 sh -x gnuplot-run.sh 
++ dirname gnuplot-run.sh
+ BINDIR=.
+ TOP=./../../Resources
+ export PANGO_SYSCONFDIR=./../../Resources/etc
+ PANGO_SYSCONFDIR=./../../Resources/etc
+ export PANGO_RC_FILE=./../../Resources/etc/pango/pangorc
+ PANGO_RC_FILE=./../../Resources/etc/pango/pangorc
+ export PANGO_LIBDIR=./../../Resources/lib
+ PANGO_LIBDIR=./../../Resources/lib
+ export G_FILENAME_ENCODING=UTF-8
+ G_FILENAME_ENCODING=UTF-8
+ export GNUHELP=./../../Resources/share/gnuplot/5.0/gnuplot.gih
+ GNUHELP=./../../Resources/share/gnuplot/5.0/gnuplot.gih
+ export GNUPLOT_PS_DIR=./../../Resources/share/gnuplot/5.0/PostScript
+ GNUPLOT_PS_DIR=./../../Resources/share/gnuplot/5.0/PostScript
+ export AQUATERM_PATH=./AquaTerm.app
+ AQUATERM_PATH=./AquaTerm.app
+ export GNUTERM=wxt
+ GNUTERM=wxt
+ export PATH………...



I also looked at the binary and the external libraries that it requires with otool. And as you will see there is no “/usr/local/lib” but only "@executable_path”. That is fine.
 otool -L ./gnuplot
./gnuplot:
/System/Library/Frameworks/Foundation.framework/Versions/C/Foundation (compatibility version 300.0.0, current version 751.29.0)
@executable_path/../lib/libaquaterm.dylib (compatibility version 1.0.0, current version 1.0.0)
@executable_path/../lib/libreadline.6.2.dylib (compatibility version 6.0.0, current version 6.2.0)
/usr/lib/libncurses.5.4.dylib (compatibility version 5.4.0, current version 5.4.0)
/usr/lib/libz.1.dylib (compatibility version 1.0.0, current version 1.2.3)
/System/Library/Frameworks/IOKit.framework/Versions/A/IOKit (compatibility version 1.0.0, current version 275.0.0)
/System/Library/Frameworks/Carbon.framework/Versions/A/Carbon (compatibility version 2.0.0, current version 152.0.0)
/System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa (compatibility version 1.0.0, current version 15.0.0)
/System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox (compatibility version 1.0.0, current version 1.0.0)
/usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 125.2.0)
/System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL (compatibility version 1.0.0, current version 1.0.0)
@executable_path/../lib/libwx_osx_cocoau_qa-3.0.0.2.0.dylib (compatibility version 3.0.0, current version 3.0.0)
@executable_path/../lib/libwx_osx_cocoau_adv-3.0.0.2.0.dylib (compatibility version 3.0.0, current version 3.0.0)
@executable_path/../lib/libwx_osx_cocoau_core-3.0.0.2.0.dylib (compatibility version 3.0.0, current version 3.0.0)
@executable_path/../lib/libwx_baseu_xml-3.0.0.2.0.dylib (compatibility version 3.0.0, current version 3.0.0)
@executable_path/../lib/libwx_baseu_net-3.0.0.2.0.dylib (compatibility version 3.0.0, current version 3.0.0)
@executable_path/../lib/libwx_baseu-3.0.0.2.0.dylib (compatibility version 3.0.0, current version 3.0.0)
@executable_path/../lib/libpangocairo-1.0.0.dylib (compatibility version 3401.0.0, current version 3401.1.0)
@executable_path/../lib/libpango-1.0.0.dylib (compatibility version 3401.0.0, current version 3401.1.0)
@executable_path/../lib/libgobject-2.0.0.dylib (compatibility version 3601.0.0, current version 3601.4.0)
@executable_path/../lib/libglib-2.0.0.dylib (compatibility version 3601.0.0, current version 3601.4.0)
@executable_path/../lib/libintl.8.dylib (compatibility version 10.0.0, current version 10.2.0)
@executable_path/../lib/libcairo.2.dylib (compatibility version 11203.0.0, current version 11203.18.0)
/usr/lib/libiconv.2.dylib (compatibility version 7.0.0, current version 7.0.0)
/usr/lib/libstdc++.6.dylib (compatibility version 7.0.0, current version 7.9.0)
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices (compatibility version 1.0.0, current version 38.0.0)
/System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation (compatibility version 150.0.0, current version 550.29.0)
/usr/lib/libobjc.A.dylib (compatibility version 1.0.0, current version 227.0.0)



Regards

Nicolas

However I *also* feel it is better that

OS X binary will be uploaded on Sourceforge.

I do not have admin privilege to Sourceforge but have write access privilege of "files".
(It was given the privilege from Ethan but I have forgotten name of it.)


Tatsuro


----- Original Message -----
From: Bastian Märkisch <[hidden email]>
To: 'Allin Cottrell' <[hidden email]>; [hidden email]
Cc:
Date: 2017/1/5, Thu 19:01
Subject: AW: gnuplot 5.0.5 for OS X

G reat.  Should we upload those to Sourceforge, too?

  Bastian

-----Ursprüngliche Nachricht-----
Von: Allin Cottrell [[hidden email]]
Gesendet: Donnerstag, 5. Januar 2017 04:14
An: [hidden email]
Betreff: gnuplot 5.0.5 for OS X

Another 5.0.5 contribution: binary packages for OS X (Intel, quartz) are now
available from

http://ricardo.ecn.wfu.edu/pub/gnuplot/

in both pkg and (relocatable) dmg formats. As with my 5.0.3 packages these
provide aquaterm and wxt as GUI terminals, as well as the pango/cairo-based
terminals. The packages are cross-compiled on Linux using clang and should
be suitable for OS X 10.6.6 and higher.

--
Allin Cottrell
Department of Economics
Wake Forest University


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
gnuplot-beta mailing list
[hidden email]
Membership management via:
https://lists.sourceforge.net/lists/listinfo/gnuplot-beta


------------------------------------------------------------------------------
Developer Access Program for Intel Xeon Phi Processors
Access to Intel Xeon Phi processor-based developer platforms.
With one year of Intel Parallel Studio XE.
Training and support from Colfax.
Order your platform today. http://sdm.link/xeonphi
_______________________________________________
gnuplot-beta mailing list
[hidden email]
Membership management via: https://lists.sourceforge.net/lists/listinfo/gnuplot-beta

--
N. Brouard




------------------------------------------------------------------------------
Developer Access Program for Intel Xeon Phi Processors
Access to Intel Xeon Phi processor-based developer platforms.
With one year of Intel Parallel Studio XE.
Training and support from Colfax.
Order your platform today. http://sdm.link/xeonphi
_______________________________________________
gnuplot-beta mailing list
[hidden email]
Membership management via: https://lists.sourceforge.net/lists/listinfo/gnuplot-beta
Reply | Threaded
Open this post in threaded view
|

Unicode. Was Re: gnuplot 5.0.5 for OS X

Nicolas Brouard INED
Just to add, that under Emacs and OS/X (emacs restricts the environments to minimum in sub-shells), I have added in file gnuplot-run.sh (/Applications/Gnuplot.app/Contents/Resources/bin/) the UTF-8 environment
export LANG=fr_FR.utf-8
otherwise, something like:
plot x t “être ou ne pas être”
will be output “tre ou ne pas tre”, suppressing the unicode characters.
You can probably set LANG=C.utf-8 which might be more general.
Then on Emacs for example, set-variable gnuplot-program /Applications/Gnuplot.app/Contents/Resources/bin/gnuplot-run.sh

If you launch gnuplot from a Terminal or from the Application itself, the locales are kept and unicode characters are displayed correctly. The issue is only from within a program like Emacs.


In my own build of gnuplot for OS X, it was not necessary to add this environment in the shell, but I don’t remember how I solved that issue.

Regards,

Nicolas


Le 10 janv. 2017 à 11:30, Nicolas Brouard <[hidden email]> a écrit :


Le 10 janv. 2017 à 10:12, Tatsuro MATSUOKA <[hidden email]> a écrit :

I have no experience of OS X.

You are unlucky! The notion of OSX applications has many senses in comparison to linux packages which are similar to OSX homebrew packages.
On linux, if you install a new program all libraries should have to be updated. It saves hard disk space but you spend a lot of time to compile and verify compatibility etc. With OSX applications, all  of external libraries (or most of them) have to be included under the app directory. And even if you have similar libraries in /usr/local/lib, the application will not use them. OS/X applications are much bigger but are safer and will work much longer. See the output of otool (similar to nm) at the end of the message to verify that the executable doesn’t contain external links.

I looked at the package of Allin Cottrell and it looks great. In addition to the gnuplot.app directory the pkg installs a /usr/local/bin/gnuplot which is
 #!/bin/bash
 exec /Applications/Gnuplot.app/Contents/Resources/bin/gnuplot-run.sh

If you installed only the app via the dmg, and still want to use gnuplot in a terminal or in emacs (I haven’t seen emacs-mode.el), you have to add this two lines file and chmod +x it . It will create the necessary environment variables (see below its list).

Cottrell’s OSX application contains most useful terminals, like all cairos, including pdfcairo, aqua, svg and wxt.

Many thanks to Cottrell. I did not know that it was possible to cross-compile with clang from linux to OS/X. Bravo.
I hope that it will be downloadable with other gnuplot binaries (including installation sources). It is still version 5.0.5 and can’t use “array"!

Here is a list of packages:
+ exec /Applications/Gnuplot.app/Contents/Resources/bin/gnuplot

G N U P L O T
Version 5.0 patchlevel 5    last modified 2016-10-02

Copyright (C) 1986-1993, 1998, 2004, 2007-2016
Thomas Williams, Colin Kelley and many others

gnuplot home:     http://www.gnuplot.info
faq, bugs, etc:   type "help FAQ"
immediate help:   type "help"  (plot window: hit 'h')

Terminal type set to 'wxt'
gnuplot> set ter

Available terminal types:
             aqua  Interface to graphics terminal server for Mac OS X
       cairolatex  LaTeX picture environment using graphicx package and Cairo backend
           canvas  HTML Canvas object
              cgm  Computer Graphics Metafile
          context  ConTeXt with MetaFun (for PDF documents)
            corel  EPS format for CorelDRAW
             dumb  ascii art for anything that prints text
              dxf  dxf-file for AutoCad (default size 120x80)
            eepic  EEPIC -- extended LaTeX picture environment
              emf  Enhanced Metafile format
            emtex  LaTeX picture environment with emTeX specials
         epscairo  eps terminal based on cairo
         epslatex  LaTeX picture environment using graphicx package
              fig  FIG graphics language for XFIG graphics editor
             hpgl  HP7475 and relatives [number of pens] [eject]
            latex  LaTeX picture environment
               mf  Metafont plotting standard
               mp  MetaPost plotting standard
             pcl5  HP Designjet 750C, HP Laserjet III/IV, etc. (many options)
         pdfcairo  pdf terminal based on cairo
         pngcairo  png terminal based on cairo
       postscript  PostScript graphics, including EPSF embedded files (*.eps)
          pslatex  LaTeX picture environment with PostScript \specials
            pstex  plain TeX with PostScript \specials
         pstricks  LaTeX picture environment with PSTricks macros
              qms  QMS/QUIC Laser printer (also Talaris 1200 and others)
              svg  W3C Scalable Vector Graphics
          tek40xx  Tektronix 4010 and others; most TEK emulators
          tek410x  Tektronix 4106, 4107, 4109 and 420X terminals
          texdraw  LaTeX texdraw environment
             tgif  TGIF X11 [mode] [x,y] [dashed] ["font" [fontsize]]
         tkcanvas  Tk canvas widget
             tpic  TPIC -- LaTeX picture environment with tpic \specials
          unknown  Unknown terminal type - not a plotting device
            vttek  VT-like tek40xx terminal emulator
              wxt  wxWidgets cross-platform windowed terminal
            xterm  Xterm Tektronix 4014 Mode
gnuplot> 

Here is a list on environment variables:

 sh -x gnuplot-run.sh 
++ dirname gnuplot-run.sh
+ BINDIR=.
+ TOP=./../../Resources
+ export PANGO_SYSCONFDIR=./../../Resources/etc
+ PANGO_SYSCONFDIR=./../../Resources/etc
+ export PANGO_RC_FILE=./../../Resources/etc/pango/pangorc
+ PANGO_RC_FILE=./../../Resources/etc/pango/pangorc
+ export PANGO_LIBDIR=./../../Resources/lib
+ PANGO_LIBDIR=./../../Resources/lib
+ export G_FILENAME_ENCODING=UTF-8
+ G_FILENAME_ENCODING=UTF-8
+ export GNUHELP=./../../Resources/share/gnuplot/5.0/gnuplot.gih
+ GNUHELP=./../../Resources/share/gnuplot/5.0/gnuplot.gih
+ export GNUPLOT_PS_DIR=./../../Resources/share/gnuplot/5.0/PostScript
+ GNUPLOT_PS_DIR=./../../Resources/share/gnuplot/5.0/PostScript
+ export AQUATERM_PATH=./AquaTerm.app
+ AQUATERM_PATH=./AquaTerm.app
+ export GNUTERM=wxt
+ GNUTERM=wxt
+ export PATH………...



I also looked at the binary and the external libraries that it requires with otool. And as you will see there is no “/usr/local/lib” but only "@executable_path”. That is fine.
 otool -L ./gnuplot
./gnuplot:
/System/Library/Frameworks/Foundation.framework/Versions/C/Foundation (compatibility version 300.0.0, current version 751.29.0)
@executable_path/../lib/libaquaterm.dylib (compatibility version 1.0.0, current version 1.0.0)
@executable_path/../lib/libreadline.6.2.dylib (compatibility version 6.0.0, current version 6.2.0)
/usr/lib/libncurses.5.4.dylib (compatibility version 5.4.0, current version 5.4.0)
/usr/lib/libz.1.dylib (compatibility version 1.0.0, current version 1.2.3)
/System/Library/Frameworks/IOKit.framework/Versions/A/IOKit (compatibility version 1.0.0, current version 275.0.0)
/System/Library/Frameworks/Carbon.framework/Versions/A/Carbon (compatibility version 2.0.0, current version 152.0.0)
/System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa (compatibility version 1.0.0, current version 15.0.0)
/System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox (compatibility version 1.0.0, current version 1.0.0)
/usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 125.2.0)
/System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL (compatibility version 1.0.0, current version 1.0.0)
@executable_path/../lib/libwx_osx_cocoau_qa-3.0.0.2.0.dylib (compatibility version 3.0.0, current version 3.0.0)
@executable_path/../lib/libwx_osx_cocoau_adv-3.0.0.2.0.dylib (compatibility version 3.0.0, current version 3.0.0)
@executable_path/../lib/libwx_osx_cocoau_core-3.0.0.2.0.dylib (compatibility version 3.0.0, current version 3.0.0)
@executable_path/../lib/libwx_baseu_xml-3.0.0.2.0.dylib (compatibility version 3.0.0, current version 3.0.0)
@executable_path/../lib/libwx_baseu_net-3.0.0.2.0.dylib (compatibility version 3.0.0, current version 3.0.0)
@executable_path/../lib/libwx_baseu-3.0.0.2.0.dylib (compatibility version 3.0.0, current version 3.0.0)
@executable_path/../lib/libpangocairo-1.0.0.dylib (compatibility version 3401.0.0, current version 3401.1.0)
@executable_path/../lib/libpango-1.0.0.dylib (compatibility version 3401.0.0, current version 3401.1.0)
@executable_path/../lib/libgobject-2.0.0.dylib (compatibility version 3601.0.0, current version 3601.4.0)
@executable_path/../lib/libglib-2.0.0.dylib (compatibility version 3601.0.0, current version 3601.4.0)
@executable_path/../lib/libintl.8.dylib (compatibility version 10.0.0, current version 10.2.0)
@executable_path/../lib/libcairo.2.dylib (compatibility version 11203.0.0, current version 11203.18.0)
/usr/lib/libiconv.2.dylib (compatibility version 7.0.0, current version 7.0.0)
/usr/lib/libstdc++.6.dylib (compatibility version 7.0.0, current version 7.9.0)
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices (compatibility version 1.0.0, current version 38.0.0)
/System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation (compatibility version 150.0.0, current version 550.29.0)
/usr/lib/libobjc.A.dylib (compatibility version 1.0.0, current version 227.0.0)



Regards

Nicolas

However I *also* feel it is better that 

OS X binary will be uploaded on Sourceforge.

I do not have admin privilege to Sourceforge but have write access privilege of "files".
(It was given the privilege from Ethan but I have forgotten name of it.)


Tatsuro


----- Original Message -----
From: Bastian Märkisch <[hidden email]>
To: 'Allin Cottrell' <[hidden email]>; [hidden email]
Cc: 
Date: 2017/1/5, Thu 19:01
Subject: AW: gnuplot 5.0.5 for OS X

G reat.  Should we upload those to Sourceforge, too?

  Bastian

-----Ursprüngliche Nachricht-----
Von: Allin Cottrell [[hidden email]] 
Gesendet: Donnerstag, 5. Januar 2017 04:14
An: [hidden email]
Betreff: gnuplot 5.0.5 for OS X

Another 5.0.5 contribution: binary packages for OS X (Intel, quartz) are now
available from

http://ricardo.ecn.wfu.edu/pub/gnuplot/

in both pkg and (relocatable) dmg formats. As with my 5.0.3 packages these
provide aquaterm and wxt as GUI terminals, as well as the pango/cairo-based
terminals. The packages are cross-compiled on Linux using clang and should
be suitable for OS X 10.6.6 and higher.

--
Allin Cottrell
Department of Economics
Wake Forest University


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most 
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
gnuplot-beta mailing list
[hidden email]
Membership management via: 
https://lists.sourceforge.net/lists/listinfo/gnuplot-beta


------------------------------------------------------------------------------
Developer Access Program for Intel Xeon Phi Processors
Access to Intel Xeon Phi processor-based developer platforms.
With one year of Intel Parallel Studio XE.
Training and support from Colfax.
Order your platform today. http://sdm.link/xeonphi
_______________________________________________
gnuplot-beta mailing list
[hidden email]
Membership management via: https://lists.sourceforge.net/lists/listinfo/gnuplot-beta

--
N. Brouard



------------------------------------------------------------------------------
Developer Access Program for Intel Xeon Phi Processors
Access to Intel Xeon Phi processor-based developer platforms.
With one year of Intel Parallel Studio XE.
Training and support from Colfax.
Order your platform today. http://sdm.link/xeonphi_______________________________________________
gnuplot-beta mailing list
[hidden email]
Membership management via: https://lists.sourceforge.net/lists/listinfo/gnuplot-beta

--
N. Brouard




------------------------------------------------------------------------------
Developer Access Program for Intel Xeon Phi Processors
Access to Intel Xeon Phi processor-based developer platforms.
With one year of Intel Parallel Studio XE.
Training and support from Colfax.
Order your platform today. http://sdm.link/xeonphi
_______________________________________________
gnuplot-beta mailing list
[hidden email]
Membership management via: https://lists.sourceforge.net/lists/listinfo/gnuplot-beta